[CmdletBinding(SupportsShouldProcess)]param(
    [ArgumentCompleter({Invoke-Command -ScriptBlock $_DockerComposeDirsCompleter -ArgumentList $args})]
    [string[]]$ProjectPath=@($PWD),
    [Parameter(Position = 0, ValueFromRemainingArguments = $true)]
    [ArgumentCompleter({Invoke-Command -ScriptBlock $_DockerComposeCompleter -ArgumentList ($args+@("logs"))})]
    [array]$CliParams
)

if( -not $CliParams -or $CliParams[0] -is [string] ) { $CliParams = @($CliParams,@($null)) }
$CliParams[0] = @('logs','--tail=40','--follow') + $CliParams[0]

Invoke-DockerCompose -ProjectPath $ProjectPath -CliParams $CliParams
